# 生产环境配置

# 数据源配置
spring:
  datasource:
    url: jdbc:mysql://127.0.0.1:3318/jm_love?useUnicode=true&characterEncoding=utf8&useSSL=false&serverTimezone=GMT%2B8
    username: jm_love
    password: wHekGWckTYbLtfWh
    driver-class-name: com.mysql.cj.jdbc.Driver
    type: com.alibaba.druid.pool.DruidDataSource

# 日志配置
logging:
  file:
    name: websoft-api.log
  level:
    root: WARN
    com.gxwebsoft: ERROR
    com.baomidou.mybatisplus: ERROR

socketio:
  host: 0.0.0.0 #IP地址

# 框架配置
config:
  # 生产环境接口
  server-url: https://server.jimeigroup.cn/api
  file-server: https://file.jimeigroup.cn
  upload-path: /wsdata/wwwroot/file.ws/

  # 阿里云OSS云存储
  endpoint: https://oss-cn-shenzhen.aliyuncs.com
  accessKeyId: LTAI5tFcrUsMQQGyjAtGFj7Z
  accessKeySecret: rlm9mMxFLmsnVZAvlFi7mjqGfgrawH
  bucketName: file-jimei
  bucketDomain: https://oss.jimeigroup.cn
